#ifndef _STATUSICONSOVERLAY_H_
#define _STATUSICONSOVERLAY_H_
#include <Arduino.h>
#include <OLEDUIPlus.h>

typedef struct {
    uint8_t blink; // priznak, ze ma ikona blikat
    uint8_t xPos; // pozice X na obrazovce, 0xff = automaticka pozice ve stavovem radku
    uint8_t yPos; // pozice Y na obrazovce
    uint8_t xSize; // rozmer v ose X
    uint8_t ySize; // rozmer v ose Y
    const uint8_t *xbmData; // ukazatel na data ikony
} statusIcon_t;

void sico_init(void);

void sico_draw(OLEDDisplay *display, OLEDDisplayUiState *state);

void sico_add(const statusIcon_t *ptr);

void sico_remove(const statusIcon_t *ptr);

void sico_addVisibleFrameID(uint8_t id);
#endif
